<?php
add_theme_support( 'post-formats', array( 'aside', 'video','gallery','image','link', 'quote', 'status', 'chat', 'audio' ) );


add_action('template_include', 'load_single_template');
function load_single_template($template) {
  $new_template = '';
  // single post template
  if( is_single() ) {
    global $post;
    // template for post with video format
    if ( has_post_format( 'video' )) {
      // use template file video.php for video format
      $new_template = locate_template(array('video.php' ));
    }
    // template for post with aside format
    if ( has_post_format( 'aside' )) {
      // use template file aside.php for video format
      $new_template = locate_template(array('aside.php' ));
    }
  }
  return ('' != $new_template) ? $new_template : $template;
}
