<?php get_header(); ?>

<div class="row c-index">
  <div class="col-md-8 index-content">

<!--幻灯推荐-->
<?php if(is_home() && !is_paged()) { ?><!--主页显示，分页隐藏-->
    <!-- Swiper -->
    <div class="swiper">
    <div class="swiper-container">
        <div class="swiper-wrapper">
		<?php
		  $thumbnails = get_posts(array('numberposts' => 7, 'category' => 81));
		  foreach ($thumbnails as $thumbnail) {
	 	   if ( has_post_thumbnail($thumbnail->ID)) {
		     echo '<div class="swiper-slide"><a href="' . get_permalink( $thumbnail->ID ) . '" title="' . esc_attr( $thumbnail->post_title ) . '" target="_blank" txt="' . esc_attr( $thumbnail->post_title ) . '">';
		     echo get_the_post_thumbnail($thumbnail->ID, 'thumbnail').'<span class="swiper-s"><div class="stitle">';
		     echo esc_attr( $thumbnail->post_title ).'</div></span>';
	 	     echo '</a></div>';
		    }
		  }
		?>
        </div>
        <!-- Add Pagination -->
        <div class="swiper-pagination"></div>
        <!-- Add Arrows -->
        <div class="swiper-button-next"><i class="fa fa-chevron-circle-right"></i></div>
        <div class="swiper-button-prev"><i class="fa fa-chevron-circle-left"></i></div>
    </div>
    </div>
    <!-- Swiper JS -->
    <script src="<?php bloginfo('template_url'); ?>/swiper/swiper.min.js"></script>

    <!-- Initialize Swiper -->
    <script>
    var swiper = new Swiper('.swiper-container', {
        pagination: '.swiper-pagination',
        nextButton: '.swiper-button-next',
        prevButton: '.swiper-button-prev',
        paginationClickable: true,
        spaceBetween: 30,
        centeredSlides: true,
        autoplay: 2500,
        autoplayDisableOnInteraction: false
    });
    </script>
    <div class="">
	<table class="table table-condensed index-table">
	<tbody>
	<tr class="active">
		<td><i class="fab fa-linux"></i><a href="/Downloadlinux">  下载Linux</a></td>
		<td><i class="fa fa-clone"></i><a href="/umirrors" target="_blank">  国内镜像</a></td>
		<td><i class="fa fa-save"></i><a href="/PPA">  PPA</a></td>
		<td><i class="fa fa-terminal"></i><a href="https://ipcmen.com/" target="_blank">  常用命令</a></td>
	</tr>
	</tbody>
	</table>
    </div>
<?php } ?><!--主页显示，分页隐藏-->
<!--幻灯推荐结束-->
    <!--最新信息-->

    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<div class="post">
	<div class="loaded col-xs-4 col-md-4"><span class="imcn_comment"><?php comments_popup_link('0', '1', '%', '', 'NO'); ?></span>
	<a href="<?php the_permalink(); ?>"><?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() ) { the_post_thumbnail(array(252,160), array("class" => "alignleft post_thumbnail")); }
		else { echo '<img width="252" height="160" src="' . get_bloginfo( 'stylesheet_directory' ) . '/images/thumbnail.png"  alt="IMCN" class="alignleft post_thumbnail wp-post-image" >'; }
	?>
	<span <?php post_class(); ?>></span>
	</a>
	</div>
	<div class="col-md-8">
	<div class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
	<div class="date">
		<p class="meta">
      <span class="far fa-user" aria-hidden="true"></span> <?php the_author_posts_link(); ?> <span class="far fa-clock" aria-hidden="true"></span> <?php the_time();?> <span class="fas fa-eye" aria-hidden="true"></span> 阅读<?php post_views(' ', ' 次'); ?> <?php edit_post_link('<span class="far fa-edit" aria-hidden="true">编辑');?>
		</p>
		<p class="hidden-xs"><?php echo mb_strimwidth(strip_tags(apply_filters('the_content', $post->post_content)), 0, 110, '...'); ?></p>
		<p class="hidden-xs">标签：<?php the_tags('<span class="label">', '</span><span class="label">', '</span>'); ?></p>
	</div>
	</div>
	</div>

    <?php endwhile; else: ?>
      <p><?php _e('Sorry, there are no posts.'); ?></p>
    <?php endif; ?>

	<div class="page_navi"><?php par_pagenavi(9); ?></div>

  </div>

  <div class="col-md-4 sider-top hidden-xs">

    <?php get_sidebar(); ?>

  </div>

</div>

<?php get_footer(); ?>
