<?php get_header(); ?>

<div class="row c-index">
  <div class="col-md-8 content">
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		<div class="article-title"><h3><?php the_title(); ?></h3></div>
		<div class="article-meta meta">
			<span class="fas fa-user" aria-hidden="true"></span> <?php the_author_posts_link(); ?> <span class="fas fa-clock" aria-hidden="true"></span> <?php the_time();?> <span class="fas fa-comment-dots" aria-hidden="true"></span> <?php comments_popup_link('暂无评论', '1条评论', '%条评论', '', '评论已关闭'); ?> <span class="fa fa-eye" aria-hidden="true"></span> 阅读<?php post_views(' ', ' 次'); ?> <?php edit_post_link('<span class="fas fa-pen-square" aria-hidden="true">编辑');?>
		</div>

		<div class="baiduads hidden-xs">


		</div>

		<?php the_content(); ?>

	<table class="table table-condensed">
	<tbody>
	<tr>
		<th width="30%">投稿作者</th>
		<th width="70%">作者网站</th>
	</tr>
	<tr>
		<td width="30%"><?php echo get_post_meta($post->ID, "ap_author_name", $single = true); ?></td>
		<td width="70%"><a href="<?php echo get_post_meta($post->ID, "ap_author_url", $single = true); ?>" target="_blank"><?php echo get_post_meta($post->ID, "ap_author_url", $single = true); ?></a></td>
	</tr>
	</tbody>
	</table>

		<hr />

		<div class="vote">
			<span class="vote_up" id="<?php echo 'vote_up'.$post->ID;?>">
			<a href="javascript:void(0);" rel="<?php echo 'up_',$post->ID;?>">
			<span class="fa fa-thumbs-up btn btn-warning" id="<?php echo 'vup'.$post->ID;?>"><?php echo get_post_vote($post->ID,'up');?></span>
			</a>
			</span>
        		<span class="vote_down" id="<?php echo 'vote_down'.$post->ID;?>">
			<a href="javascript:void(0);" rel="<?php echo 'down_'.$post->ID;?>">
			<span class="fa fa-thumbs-down btn btn-info" id="<?php echo 'vdown'.$post->ID;?>"><?php echo get_post_vote($post->ID,'down');?></span>
			</a>
			</span>
		</div>

	<div class="share-center">
	<div class="share">
<div class="bdsharebuttonbox"><a href="#" class="bds_more" data-cmd="more"></a><a href="#" class="bds_fbook" data-cmd="fbook" title="分享到Facebook"></a><a href="#" class="bds_twi" data-cmd="twi" title="分享到Twitter"></a><a href="#" class="bds_linkedin" data-cmd="linkedin" title="分享到linkedin"></a><a href="#" class="bds_qzone" data-cmd="qzone" title="分享到QQ空间"></a><a href="#" class="bds_tsina" data-cmd="tsina" title="分享到新浪微博"></a><a href="#" class="bds_douban" data-cmd="douban" title="分享到豆瓣网"></a><a href="#" class="bds_weixin" data-cmd="weixin" title="分享到微信"></a><a href="#" class="bds_evernotecn" data-cmd="evernotecn" title="分享到印象笔记"></a></div>
<script>window._bd_share_config={"common":{"bdSnsKey":{},"bdText":"","bdMini":"2","bdMiniList":false,"bdPic":"","bdStyle":"1","bdSize":"24"},"share":{},"image":{"viewList":["fbook","twi","linkedin","qzone","tsina","douban","weixin","evernotecn"],"viewText":"分享到：","viewSize":"16"}};with(document)0[(getElementsByTagName('head')[0]||body).appendChild(createElement('script')).src='/static/api/js/share.js?v=89860593.js?'];</script>
	</div>
	</div>

	  	<hr>

	<?php endwhile; else: ?>
		<p><?php _e('Sorry, this page does not exist.'); ?></p>
	<?php endif; ?>

<div class="block-head"><h4>为您推荐</h4></div>

<div class="related_posts visible-xs-block"><!--文字相关文章-->
<?php
$post_num = 7;
$exclude_id = $post->ID;
$posttags = get_the_tags(); $i = 0;
if ( $posttags ) {
	$tags = ''; foreach ( $posttags as $tag ) $tags .= $tag->term_id . ',';
	$args = array(
		'post_status' => 'publish',
		'tag__in' => explode(',', $tags),
		'post__not_in' => explode(',', $exclude_id),
		'caller_get_posts' => 1,
		'orderby' => 'comment_date',
		'posts_per_page' => $post_num,
	);
	query_posts($args);
	while( have_posts() ) { the_post(); ?>
		<li><a rel="bookmark" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" target="_blank"><?php the_title(); ?></a></li>
	<?php
		$exclude_id .= ',' . $post->ID; $i ++;
	} wp_reset_query();
}
if ( $i < $post_num ) {
	$cats = ''; foreach ( get_the_category() as $cat ) $cats .= $cat->cat_ID . ',';
	$args = array(
		'category__in' => explode(',', $cats),
		'post__not_in' => explode(',', $exclude_id),
		'caller_get_posts' => 1,
		'orderby' => 'comment_date',
		'posts_per_page' => $post_num - $i
	);
	query_posts($args);
	while( have_posts() ) { the_post(); ?>
		<li><a rel="bookmark" href="<?php the_permalink(); ?>"  title="<?php the_title(); ?>" target="_blank"><?php the_title(); ?></a></li>
	<?php $i++;
	} wp_reset_query();
}
if ( $i  == 0 )  echo '<li>没有相关文章!</li>';
?>
</div>

<div class="related_img hidden-xs"><!-缩略图相关文章-->
<?php
$post_num = 6;
$exclude_id = $post->ID;
$posttags = get_the_tags(); $i = 0;
if ( $posttags ) {
	$tags = ''; foreach ( $posttags as $tag ) $tags .= $tag->term_id . ',';
	$args = array(
		'post_status' => 'publish',
		'tag__in' => explode(',', $tags),
		'post__not_in' => explode(',', $exclude_id),
		'caller_get_posts' => 1,
		'orderby' => 'comment_date',
		'posts_per_page' => $post_num
	);
	query_posts($args);
	while( have_posts() ) { the_post(); ?>
		<li class="related_box"  >
		<div class="r_pic">
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" target="_blank">
		<img src="<?php echo post_thumbnail_src(); ?>" alt="<?php the_title(); ?>" class="rel_thumb" />
		</a>
		</div>
		<div class="r_title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" target="_blank" rel="bookmark"><?php the_title(); ?></a></div>
		</li>
	<?php
		$exclude_id .= ',' . $post->ID; $i ++;
	} wp_reset_query();
}
if ( $i < $post_num ) {
	$cats = ''; foreach ( get_the_category() as $cat ) $cats .= $cat->cat_ID . ',';
	$args = array(
		'category__in' => explode(',', $cats),
		'post__not_in' => explode(',', $exclude_id),
		'caller_get_posts' => 1,
		'orderby' => 'comment_date',
		'posts_per_page' => $post_num - $i
	);
	query_posts($args);
	while( have_posts() ) { the_post(); ?>
	<li class="related_box"  >
		<div class="r_pic">
		<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" target="_blank">
		<img src="<?php echo post_thumbnail_src(); ?>" alt="<?php the_title(); ?>" class="rel_thumb" />
		</a>
		</div>
		<div class="r_title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" target="_blank" rel="bookmark"><?php the_title(); ?></a></div>
	</li>
	<?php $i++;
	} wp_reset_query();
}
if ( $i  == 0 )  echo '<div class="r_title">没有相关文章!</div>';
?>
</div>
<!--相关文章结束-->

<?php comments_template(); ?>

	<hr>

  </div><!--col-md-8-->
  <div class="col-md-4 sider-top">
	<?php get_sidebar(); ?>
  </div>
</div>
<?php get_footer(); ?>
