<?php
    /*********更新重写规则***************/    
    function ashu_load_theme() {     
        global $pagenow;     
        if ( is_admin() && 'themes.php' == $pagenow && isset( $_GET['activated'] ) )     
            ashu_vote_install(); //激活主题的时候执行函数     
    }     
    add_action( 'load-themes.php', 'ashu_load_theme' );     
    function ashu_vote_install(){     
        global $wpdb;     
        //创建 _post_vote表     
        $table_name = $wpdb->prefix . 'post_vote';     
        if( $wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name ) :     
        $sql = " CREATE TABLE `".$wpdb->prefix."post_vote` ( 
          `id` BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY ,   
          `user` INT NOT NULL ,   
          `post` INT NOT NULL ,   
          `rating` varchar(10),   
          `ip` varchar(40)   
         ) ENGINE = MYISAM DEFAULT CHARSET=utf8;";     
            require_once(ABSPATH . 'wp-admin/includes/upgrade.php');     
            dbDelta($sql);     
        endif;     
    }
	
	    /*   
    *添加投票函数   
    *$post_id 文章id   
    *$user_id 用户ID   
    *$ip 用户IP   
    *$rating 投票内容   
    */    
    function add_vote($post_id,$user_id='',$ip='',$rating='up'){     
        global $wpdb;     
        $user_id = (int)$user_id;     
        $post_id = (int)$post_id;     
        if(($user_id=='')&&($ip=='')){     
            return "e"; //返回error     
        }     
        //检查用户对某一文章是否已经投票票了     
        if($user_id!=''){     
            $check= "select * from ".$wpdb->prefix."post_vote where post='$post_id' and user='$user_id'";     
        }else{     
            if($ip!=''){     
                $check= "select * from ".$wpdb->prefix."post_vote where post='$post_id' and ip='$ip'";     
            }     
        }     
        $coo = $wpdb->get_results($check);     
        //投票内容只能是up或者down     
        if($rating=='up'){     
            $rating='up';     
        }else{     
            $rating='down';     
        }     
        //如果不存在数据     
        if(!count($coo) > 0){     
            //插入数据 sql     
            $s = "insert into ".$wpdb->prefix."post_vote (user,post,rating,ip) values('$user_id','$post_id','$rating','$ip')";     
            $wpdb->query($s);     
            return "y"; //返回yes     
        }else{     
            return "h"; //返回have     
        }     
        return "e";//返回error     
    }
	    /*    
    *获取文章投票数据    
    *$post_id 文章ID    
    *$vote 投票内容    
    */     
    function get_post_vote($post_id,$vote='up'){     
        global $wpdb;     
        $post_id = (int)$post_id;     
        if($vote == 'up'){     
            $vote='up';     
        }else{     
            $vote='down';     
        }     
        //查询数据sql     
        $sql = "select count(*) from ".$wpdb->prefix."post_vote where post='$post_id' and rating='$vote'";     
        $coo = $wpdb->get_var($sql);     
        if($coo)     
        return $coo; //返回数据     
        else     
        return 0;     
    }