<?php
//在24小时以内发布的显示为几分钟前或几小时前 
function timeago() { 
    global $post; 
    $date = $post->post_date; 
    $time = get_post_time('G', true, $post); 
    $time_diff = time() - $time; 
    if ( $time_diff > 0 && $time_diff < 24*60*60 ) 
    $display = sprintf( __('%s前'), human_time_diff( $time ) ); 
    else 
    $display = date(get_option('date_format'), strtotime($date) ); 
 
    return $display; 
} 
 
add_filter('the_time', 'timeago');
